## org.eclipse.datatools.connectivity.sqm.core.definition
Class DefaultDatabaseRecognizer

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.internal.core.definition.ConfigElementDatabaseRecognizer
          org.eclipse.datatools.connectivity.sqm.core.definition.DefaultDatabaseRecognizer

All Implemented Interfaces:
  org.eclipse.core.runtime.IExecutableExtension, IDatabaseRecognizer

    public class DefaultDatabaseRecognizer

extends org.eclipse.datatools.connectivity.sqm.internal.core.definition.ConfigElementDatabaseRecognizer
implements IDatabaseRecognizer

A default IDatabaseRecognizer implementation class that can be specified as a value in the recognizer.class attribute of an extension that implements the org.eclipse.datatools.connectivity.sqm.core.databaseRecognition extension point.

Field Summary

Fields inherited from class org.eclipse.datatools.connectivity.sqm.internal.core.definition.ConfigElementDatabaseRecognizer
`DB_DEFN_MAPPING`

Constructor Summary
`DefaultDatabaseRecognizer()`

Method Summary

Methods inherited from class org.eclipse.datatools.connectivity.sqm.internal.core.definition.ConfigElementDatabaseRecognizer
`hasJdbcMappings, recognize, setInitializationData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.connectivity.sqm.core.definition.IDatabaseRecognizer
`recognize`

Constructor Detail

### DefaultDatabaseRecognizer

    public DefaultDatabaseRecognizer()